from bank import value


def main():
    test_lower()
    test_upper()
    test_title_case()
    test_mixed_case()
    test_zero()
    test_twenty()
    test_empty()
    test_hundred()
    test_containing_hello()


def test_lower():
    assert value('hello') == 0
    assert value('hey') == 20
    assert value('banana') == 100


def test_upper():
    assert value('HELLO') == 0
    assert value('HEY') == 20
    assert value('BANANA') == 100


def test_title_case():
    assert value('Hello') == 0
    assert value('Hey') == 20
    assert value('Banana') == 100


def test_mixed_case():
    assert value('Hello') == 0
    assert value('Hey') == 20
    assert value('Banana') == 100


def test_zero():
    assert value('Hello') == 0
    assert value('hello') == 0
    assert value('HELLO') == 0
    assert value('HeLlO') == 0
    assert value('hElLo') == 0


def test_twenty():
    assert value('Hey') == 20
    assert value('hey') == 20
    assert value('HEY') == 20
    assert value('HeY') == 20
    assert value('hEy') == 20
    assert value('h') == 20
    assert value('h20') == 20


def test_empty():
    assert value('') == 100


def test_hundred():
    assert value('Banana') == 100
    assert value('banana') == 100
    assert value('BANANA') == 100
    assert value('12345678') == 100
    assert value('nothello') == 100

def test_containing_hello():
    assert value('aHello') == 100
    assert value('ahello') == 100
    assert value('aHELLO') == 100
    assert value('aHeLlO') == 100
    assert value('ahElLo') == 100

if __name__ == "__main__":
    main()
